Get CLMM limit-order configurations
curl --request GET \
--url https://api-v3.raydium.io/main/clmm-limit-order-configimport requests
url = "https://api-v3.raydium.io/main/clmm-limit-order-config"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-v3.raydium.io/main/clmm-limit-order-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"success": true,
"msg": "<string>",
"data": [
{
"poolId": "<string>",
"enabled": true,
"minOrderInputAmount": "<string>",
"limitOrderAdmin": "<string>"
}
]
}Main
Get CLMM limit-order configurations
Retrieve the per-pool limit-order configuration (whether limit orders are enabled,
the minimum order size, and the keeper public key) for pools that support limit
orders. Used by SDKs and UIs before calling OpenLimitOrder. Cached 60 seconds.
GET
/
main
/
clmm-limit-order-config
Get CLMM limit-order configurations
Response
200 - application/json
Success
Common response envelope. The data field is supplied by each endpoint's response schema via allOf and is therefore not declared on the base envelope.
Was this page helpful?

